Package tigase.component.adhoc

## Class AdHocCommandException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - tigase.component.adhoc.AdHocCommandException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class AdHocCommandException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AdHocCommandException​(Element item, Authorization errorCondition)` |
    `AdHocCommandException​(Element item, Authorization errorCondition, java.lang.String message)` |
    `AdHocCommandException​(Authorization errorCondition)` |
    `AdHocCommandException​(Authorization errorCondition, java.lang.String message)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCode()` |
    `Authorization` | `getErrorCondition()` |
    `Element` | `getItem()` |
    `java.lang.String` | `getMessage()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getType()` |
    `Element` | `makeElement()` |
    `Element` | `makeElement​(boolean insertOriginal)` |
    `Element` | `makeElement​(Element sourceElement)` |
    `Element` | `makeErrorElement()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AdHocCommandException

          public AdHocCommandException​(Authorization errorCondition)

    - #### AdHocCommandException

          public AdHocCommandException​(Authorization errorCondition,
                                       java.lang.String message)

    - #### AdHocCommandException

          public AdHocCommandException​(Element item,
                                       Authorization errorCondition)

    - #### AdHocCommandException

          public AdHocCommandException​(Element item,
                                       Authorization errorCondition,
                                       java.lang.String message)

  - ### Method Detail

    - #### getCode

          public java.lang.String getCode()

      Returns:
        Returns the code.

    - #### getErrorCondition

          public Authorization getErrorCondition()

    - #### getItem

          public Element getItem()

      Returns:
        Returns the item.

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### getName

          public java.lang.String getName()

      Returns:
        Returns the name.

    - #### getType

          public java.lang.String getType()

      Returns:
        Returns the type.

    - #### makeElement

          public Element makeElement()

    - #### makeElement

          public Element makeElement​(boolean insertOriginal)

    - #### makeElement

          public Element makeElement​(Element sourceElement)

    - #### makeErrorElement

          public Element makeErrorElement()